<?php
namespace Repository;

use Util\Instance\GeneralProvider as InstanceProvider;
use Util\Utilities;

class Sequence
{

    public function getAllSequences($conditions, $limit, $offset)
    {
        $query = <<<SQL
                SELECT SEQUENCE_NAME, MIN_VALUE, MAX_VALUE, INCREMENT_BY, LAST_NUMBER
                  FROM USER_SEQUENCES
                  WHERE 1=1
                  $conditions

SQL;
        $query = Utilities::getPaginatedQuery($query, $limit, $offset);
        return Utilities::getReferenceConnection()->fetchAll($query);
    }
}