<?php
namespace Util\Instance;

use Zeedhi\Framework\DependencyInjection\InstanceManager;

class ServiceInstance {

    /** @return  \Service\Table */
    public static function getTable()
    {
        return InstanceManager::getInstance()->getService('\Service\Table');
    }

    public static function getProcedure()
    {
        return InstanceManager::getInstance()->getService('\Service\Procedure');
    }

    public static function getTrigger()
    {
        return InstanceManager::getInstance()->getService('\Service\Trigger');
    }

    public static function getView()
    {
        return InstanceManager::getInstance()->getService('\Service\View');
    }

    /** @return  \Service\Repositorio */
    public static function getRepositorio()
    {
        return InstanceManager::getInstance()->getService('\Service\Repositorio');
    }

    public static function getFunctions()
    {
        return InstanceManager::getInstance()->getService('\Service\Functions');
    }

    public static function getObjects()
    {
        return InstanceManager::getInstance()->getService('\Service\Objects');
    }

    public static function getSequence()
    {
        return InstanceManager::getInstance()->getService('\Service\Sequence');
    }

    public static function getIndex()
    {
        return InstanceManager::getInstance()->getService('\Service\Index');
    }

    public static function getJob()
    {
        return InstanceManager::getInstance()->getService('\Service\Job');
    }

    /** @return  \Service\Structure */
    public static function getStructure()
    {
        return InstanceManager::getInstance()->getService('\Service\Structure');
    }
}