<?php
namespace Controller;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource;
use Util\Instance\ServiceInstance;
use Zeedhi\Framework\DTO\Request;
class Procedure {


    public function findProcedure(DTO\Request\Filter $request, DTO\Response $response)
    {
        $page = $request->getFilterCriteria()->getPage();
        $pageSize = $request->getFilterCriteria()->getPageSize();
        $filters = $request->getFilterCriteria()->getConditions();
        $procedure = ServiceInstance::getProcedure()->findProcedure($filters, $page, $pageSize);
        $response->addDataSet(new DataSource\DataSet('procedure', $procedure));
    }
    
}

