<?php
namespace Repository;

use Util\Instance\GeneralProvider as InstanceProvider;
use Util\Utilities;

class Procedure
{

    public function getAllProcedure($conditions, $limit, $offset)
    {
        $query = <<<SQL
                SELECT OBJECT_NAME, OBJECT_ID, CREATED, LAST_DDL_TIME, STATUS
                  FROM USER_OBJECTS
                 WHERE OBJECT_TYPE = 'PROCEDURE'
                  $conditions
              ORDER BY OBJECT_NAME

SQL;
        $query = Utilities::getPaginatedQuery($query, $limit, $offset);
        return Utilities::getReferenceConnection()->fetchAll($query);
    }
}