<?php
namespace Service;
use \Doctrine\ORM\EntityManager;
use Util\Utilities;
use Util\Instance\GeneralProvider;
use Util\Messages;
use Util\Instance\RepositoryInstance;

class Index {

    public function findIndex($filters, $page, $pageSize)
    {
        $conditions = Utilities::createQueryFiltered($filters);
        $limit  = $page * $pageSize;
        $offset = ($page - 1) * $pageSize;
        return RepositoryInstance::getIndex()->getAllIndexes($conditions, $limit, $offset);
    }

    public function findIndexColumns($filters, $page, $pageSize)
    {
        $limit  = $page * $pageSize;
        $offset = ($page - 1) * $pageSize;
        $filterString = Utilities::createQueryFiltered($filters);
        return RepositoryInstance::getIndex()->getAllIndexColumns($filterString, $limit, $offset);
    }
}